> For the complete documentation index, see [llms.txt](https://legacy.docs.touchguild.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://legacy.docs.touchguild.com/documentation/select-version/v.0.1.7/components/calendareventrsvp.md).

# CalendarEventRSVP

## Properties

| Property    | Description                                                                     | Type                                                                 |
| ----------- | ------------------------------------------------------------------------------- | -------------------------------------------------------------------- |
| data        | raw data                                                                        | Object                                                               |
| client      | Client                                                                          | [Client](/documentation/select-version/v.0.1.7/components/client.md) |
| id          | Calendar Event RSVP ID                                                          | Number                                                               |
| guildID     | Guild/server ID                                                                 | String                                                               |
| channelID   | Calendar channel id                                                             | String                                                               |
| memberID    | RSVP member id                                                                  | String                                                               |
| status      | Status of the RSVP (going, maybe, declined, invited, waitlisted, not responded) | String                                                               |
| \_createdAt | Timestamp (unix epoch time) of the rsvp's creation.                             | Number\|null                                                         |
| createdBy   | ID of the member that created the rsvp.                                         | String                                                               |
| updatedBy   | ID of the member that updated the rsvp (if updated)                             | String                                                               |
| member      | Member that created the rsvp.                                                   | [Member](/documentation/select-version/v.0.1.7/components/member.md) |
| createdAt   | string representation of the \_createdAt timestamp                              | Date\|null                                                           |

## Constructor

```javascript
new CalendarEventRSVP(rawData, client)
```

| Properties | Description                                     | Type                                                                 | Required? |
| ---------- | ----------------------------------------------- | -------------------------------------------------------------------- | --------- |
| rawData    | raw data received from ws and converted to JSON | Object                                                               | true      |
| client     | Client                                          | [Client](/documentation/select-version/v.0.1.7/components/client.md) | true      |

{% hint style="danger" %}
Do not use this constructor unless you know what you're doing. This constructor is used to return you rawdata into component.
{% endhint %}

## Methods

### edit(options)

Edit the calendar rsvp.

| Properties     | Description                                                              | Type   | Required? |
| -------------- | ------------------------------------------------------------------------ | ------ | --------- |
| options        | Edit options                                                             | Object | true      |
| options.status | RSVP status (going, maybe, declined, invited, waitlisted, not responded) | String | true      |

> Returns: <mark style="color:purple;">Promise<</mark>[<mark style="color:purple;">CalendarEventRSVP</mark>](/documentation/select-version/v.0.1.7/components/calendareventrsvp.md)<mark style="color:purple;">></mark>

### delete()

Delete the calendar rsvp.

> Returns: <mark style="color:purple;">Promise<</mark>void<mark style="color:purple;">></mark>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://legacy.docs.touchguild.com/documentation/select-version/v.0.1.7/components/calendareventrsvp.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
